Yosemite is Compatible with SofTest

ExamSoft has just announced that it will begin supporting the new Mac OS X.10 starting Monday, November 3rd, 2014. After 11.3. you may upgrade to the newest Mac OS X.10 Yosemite version, which will be compliant with the latest version of SofTest. As always, please confirm that you have the latest version of SofTest by visiting the ExamSoft website.

As always, stay tuned to lawtech.pepperdine.edu for more important updates regarding ExamSoft, or consult the ExamSoft website to ensure you stay current with all the latest news regarding your SofTest exam software.

2014-10-28_1150